<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0) on Sun Jun 10 11:40:17 CEST 2007 -->
<TITLE>
G-Index
</TITLE>

<META NAME="date" CONTENT="2007-06-10">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="G-Index";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-5.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-7.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?index-filesindex-6.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-6.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">C</A> <A HREF="index-3.html">D</A> <A HREF="index-4.html">E</A> <A HREF="index-5.html">F</A> <A HREF="index-6.html">G</A> <A HREF="index-7.html">H</A> <A HREF="index-8.html">I</A> <A HREF="index-9.html">J</A> <A HREF="index-10.html">L</A> <A HREF="index-11.html">M</A> <A HREF="index-12.html">O</A> <A HREF="index-13.html">P</A> <A HREF="index-14.html">R</A> <A HREF="index-15.html">S</A> <A HREF="index-16.html">U</A> <A HREF="index-17.html">V</A> <A HREF="index-18.html">W</A> <HR>
<A NAME="_G_"><!-- --></A><H2>
<B>G</B></H2>
<DL>
<DT><A HREF="../javasciplugin/console/myEditorInput.html#getAdapter(java.lang.Class)"><B>getAdapter(Class)</B></A> - 
Method in class javasciplugin.console.<A HREF="../javasciplugin/console/myEditorInput.html" title="class in javasciplugin.console">myEditorInput</A>
<DD>This method is a default eclipse method.
<DT><A HREF="../javasciplugin/Activator.html#getDefault()"><B>getDefault()</B></A> - 
Static method in class javasciplugin.<A HREF="../javasciplugin/Activator.html" title="class in javasciplugin">Activator</A>
<DD>This method returns the Activator of this plugin.
<DT><A HREF="../javasciplugin/JavaSciWrapper.html#getHistory()"><B>getHistory()</B></A> - 
Method in class javasciplugin.<A HREF="../javasciplugin/JavaSciWrapper.html" title="class in javasciplugin">JavaSciWrapper</A>
<DD>This method returns the history from the history Vector.
<DT><A HREF="../javasciplugin/JavaSciWrapper.html#getHistoryElement(int, java.lang.String)"><B>getHistoryElement(int, String)</B></A> - 
Method in class javasciplugin.<A HREF="../javasciplugin/JavaSciWrapper.html" title="class in javasciplugin">JavaSciWrapper</A>
<DD>This method returns a command from the history.
<DT><A HREF="../javasciplugin/Activator.html#getHistoryFile()"><B>getHistoryFile()</B></A> - 
Method in class javasciplugin.<A HREF="../javasciplugin/Activator.html" title="class in javasciplugin">Activator</A>
<DD>This method returns the path to the history file.
<DT><A HREF="../javasciplugin/console/myEditorInput.html#getImageDescriptor()"><B>getImageDescriptor()</B></A> - 
Method in class javasciplugin.console.<A HREF="../javasciplugin/console/myEditorInput.html" title="class in javasciplugin.console">myEditorInput</A>
<DD>This method is a default eclipse method.
<DT><A HREF="../javasciplugin/console/ConsoleWidget.html#getInputText()"><B>getInputText()</B></A> - 
Method in class javasciplugin.console.<A HREF="../javasciplugin/console/ConsoleWidget.html" title="class in javasciplugin.console">ConsoleWidget</A>
<DD>This method is a getter for the textInput text.
<DT><A HREF="../javasciplugin/console/myEditorInput.html#getName()"><B>getName()</B></A> - 
Method in class javasciplugin.console.<A HREF="../javasciplugin/console/myEditorInput.html" title="class in javasciplugin.console">myEditorInput</A>
<DD>This method returns the Name
<DT><A HREF="../javasciplugin/console/ConsoleWidget.html#getOuputText()"><B>getOuputText()</B></A> - 
Method in class javasciplugin.console.<A HREF="../javasciplugin/console/ConsoleWidget.html" title="class in javasciplugin.console">ConsoleWidget</A>
<DD>This method is a getter for the textOutput text.
<DT><A HREF="../javasciplugin/console/myEditorInput.html#getPersistable()"><B>getPersistable()</B></A> - 
Method in class javasciplugin.console.<A HREF="../javasciplugin/console/myEditorInput.html" title="class in javasciplugin.console">myEditorInput</A>
<DD>This method ensures that the console will not lose state during multiple starts of eclipse.
<DT><A HREF="../javasciplugin/JavaSciWrapper.html#getPlotSemaphor()"><B>getPlotSemaphor()</B></A> - 
Method in class javasciplugin.<A HREF="../javasciplugin/JavaSciWrapper.html" title="class in javasciplugin">JavaSciWrapper</A>
<DD>This method returns a semaphore that is used with the plot function.
<DT><A HREF="../javasciplugin/JavaSciWrapper.html#getSciWorkspace()"><B>getSciWorkspace()</B></A> - 
Method in class javasciplugin.<A HREF="../javasciplugin/JavaSciWrapper.html" title="class in javasciplugin">JavaSciWrapper</A>
<DD>This method returns the workspace Vector witch contains the current user defined variables by there name, first value, type and size.
<DT><A HREF="../javasciplugin/Activator.html#getTempFile()"><B>getTempFile()</B></A> - 
Method in class javasciplugin.<A HREF="../javasciplugin/Activator.html" title="class in javasciplugin">Activator</A>
<DD>This method returns the path to the temporary file.
<DT><A HREF="../javasciplugin/console/myEditorInput.html#getToolTipText()"><B>getToolTipText()</B></A> - 
Method in class javasciplugin.console.<A HREF="../javasciplugin/console/myEditorInput.html" title="class in javasciplugin.console">myEditorInput</A>
<DD>This method returns the ToolTipText
<DT><A HREF="../javasciplugin/Activator.html#getWrapper(javasciplugin.WrapperReceiver)"><B>getWrapper(WrapperReceiver)</B></A> - 
Method in class javasciplugin.<A HREF="../javasciplugin/Activator.html" title="class in javasciplugin">Activator</A>
<DD>This method creates and initialises the Javasciwrapper and sends it to the views and editors that have requested it.
</DL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-5.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-7.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?index-filesindex-6.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-6.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">C</A> <A HREF="index-3.html">D</A> <A HREF="index-4.html">E</A> <A HREF="index-5.html">F</A> <A HREF="index-6.html">G</A> <A HREF="index-7.html">H</A> <A HREF="index-8.html">I</A> <A HREF="index-9.html">J</A> <A HREF="index-10.html">L</A> <A HREF="index-11.html">M</A> <A HREF="index-12.html">O</A> <A HREF="index-13.html">P</A> <A HREF="index-14.html">R</A> <A HREF="index-15.html">S</A> <A HREF="index-16.html">U</A> <A HREF="index-17.html">V</A> <A HREF="index-18.html">W</A> <HR>

</BODY>
</HTML>
